<template>

<div class="mk-toolbar mk-toolbar-right">

    <a-tooltip placement="topRight" title="日志" v-if="isShowLog">
      <a class="iconlink" @click="toolbarClick({name:'log'})"> <a-icon type="file-text"></a-icon></a>
    </a-tooltip>
    <a-tooltip placement="topRight" title="设置"  v-if="isShowSetting">
      <a class="iconlink" title="设置" @click="toolbarClick({name:'setting'})"> <a-icon type="setting"></a-icon></a> 
    </a-tooltip>

    <a-button type="primary" @click="toolbarClick({name:'add'})">
      新增
    </a-button> 
</div>

</template>
<script>

export default {
  name: "mktoolbar",
  props: {
    isShowLog : {
      type: Boolean, 
      default: true
    }, 

    isShowSetting : {
      type: Boolean, 
      default: true
    }, 

  },
  data() {
    return { 
    };
  },
  methods: {
    toolbarClick(e){
      this.$emit("toolbarClick",e);
    },

    gotoLog(){

    },

    gotoSetting(){
      
    }


   
  },
};
</script>

<style>
/* .mk-toolbar {
  width:200px;
  position: absolute;
  right: 20px;
  top: 50px;
  z-index: 1;
} */
.mk-toolbar .ant-btn{
  position: relative;
  top:6px;
}
.iconlink svg{
  width:25px;
  height: 25px;
}

</style>